summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--sys-fs/ntfs3g-ar/ChangeLog6
-rw-r--r--sys-fs/ntfs3g-ar/Manifest7
-rw-r--r--sys-fs/ntfs3g-ar/files/10-ntfs3g.fdi.2009-r142
-rw-r--r--sys-fs/ntfs3g-ar/metadata.xml4
-rw-r--r--sys-fs/ntfs3g-ar/ntfs3g-ar-2010.3.6.2.ebuild78
5 files changed, 134 insertions, 3 deletions
diff --git a/sys-fs/ntfs3g-ar/ChangeLog b/sys-fs/ntfs3g-ar/ChangeLog
index df5943497..96c01b82b 100644
--- a/sys-fs/ntfs3g-ar/ChangeLog
+++ b/sys-fs/ntfs3g-ar/ChangeLog
@@ -1,7 +1,11 @@
# ChangeLog for sys-fs/ntfs3g-ar
-# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 31 Mar 2010; Ondrej Sukup (mimi_vx) <mimi.vx@gmail.com>
+ +files/10-ntfs3g.fdi.2009-r1, +ntfs3g-ar-2010.3.6.2.ebuild, metadata.xml:
+ version bump, thx Tommy[D]
+
11 Aug 2009; Michał Górny (sedzimir) <gentoo@mgorny.alt.pl>
ntfs3g-ar-2009.4.4_pre16.ebuild, metadata.xml:
Cleaned up the ebuild, fixed DESCRIPTION and HOMEPAGE, readded ntfs3g
diff --git a/sys-fs/ntfs3g-ar/Manifest b/sys-fs/ntfs3g-ar/Manifest
index 25b4d93ab..90e21e01d 100644
--- a/sys-fs/ntfs3g-ar/Manifest
+++ b/sys-fs/ntfs3g-ar/Manifest
@@ -1,5 +1,8 @@
AUX 10-ntfs3g.fdi.2009 222 RMD160 f283f92064902b875604f2277da7eda7cad1c923 SHA1 f8d1ee160af691e4a551f563b92b9e55230631e1 SHA256 35eec198d1cabbca7e896b880b645360966ca86cdfea5a0da4767226b45a1817
+AUX 10-ntfs3g.fdi.2009-r1 3065 RMD160 38d92bb8e2be61cc0adde5ff8239b8caff657b91 SHA1 41ca7eeeba9cf01c04032d41e4a8beeaf0165cfe SHA256 680da3e23313260a586b7f986d2cc9440c14485dfbbf16748a6cefab83c38e2d
DIST ntfs-3g-2009.4.4AR.16.tgz 820861 RMD160 e390cbf7de7eecc7deb1bd339d97a03e7e1b1cd2 SHA1 02c50d44524e39d8512e225a83e03cd14d04492e SHA256 adea9129833ba5e15de1cd2bb0e9391b8fc54716c6b8e3b15ee3fbde4758bb96
+DIST ntfs-3g-2010.3.6AR.2.tgz 848126 RMD160 0639c645cd8c04d809bea8b028505b56bcf3520e SHA1 4bb4bdbd5945bd3c1fc08f4da385591fd2b3697a SHA256 62babad8984bd945b49622f760a20c32899560d62691d973b4214b39540e3572
EBUILD ntfs3g-ar-2009.4.4_pre16.ebuild 1694 RMD160 e342456a55e2f678aa566eec5634792c20f187b5 SHA1 b90e26b02a1e0d0691cbeaa77b0b91d7cc380f29 SHA256 5a27d8025ccb54dbc978fdf2fa99be3d15d23b665eedefeaee9372cc12cdc594
-MISC ChangeLog 984 RMD160 a2156fbe28a012221a860b5539a1d6408c21185b SHA1 25c568875a2471c2242cb0bc1cd26590826e0d11 SHA256 1134651a11a7d5d435412e21fc77e3dc43bb43cb94bba329553a571ab42a4e4c
-MISC metadata.xml 171 RMD160 ed284df01c230fc7990a6b5888b39166d23f29ba SHA1 f3d64a69044b710e23fb874b3ee4cd338858c8b4 SHA256 a7b30fbacd0e4c312c07a3efac112a3794c81d134442d8104325734d03425adf
+EBUILD ntfs3g-ar-2010.3.6.2.ebuild 2162 RMD160 afb5dbe856b61c0089a079e90af7d52090daa060 SHA1 1236eb39e27788d487f0805aae3b0a7621d1919f SHA256 f618b5e3dba3479d1d365145300f83bc234714b919d79d1e4d11283b40e29e83
+MISC ChangeLog 1148 RMD160 8934a59b4eea335a9958b929b48caf6367e803e8 SHA1 97db20c80294022eba5a64c27adad5509c85fb10 SHA256 89e5575cff4e429d04c28eadf8b6229d404ddfddd45a4b68049f5d810311c6c0
+MISC metadata.xml 327 RMD160 2da7eb5001f3a6565b39ee838bc468e6eebac0f1 SHA1 368d4af7b6d15792d068e47071510169de34593b SHA256 79dc5935bde2036972d1bf7d17ff579859907fcb641bb1dd1cb1bc7ad3c90bcc
diff --git a/sys-fs/ntfs3g-ar/files/10-ntfs3g.fdi.2009-r1 b/sys-fs/ntfs3g-ar/files/10-ntfs3g.fdi.2009-r1
new file mode 100644
index 000000000..efeac866d
--- /dev/null
+++ b/sys-fs/ntfs3g-ar/files/10-ntfs3g.fdi.2009-r1
@@ -0,0 +1,42 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<deviceinfo version="0.2">
+ <device>
+ <match key="volume.fstype" string="ntfs">
+ <append key="volume.fstype.alternative" type="copy_property">volume.fstype</append>
+ <merge key="volume.mount.ntfs.valid_options" type="copy_property">volume.mount.valid_options</merge>
+ <merge key="volume.unmount.ntfs.valid_options" type="copy_property">volume.unmount.valid_options</merge>
+ <merge key="volume.fstype" type="string">ntfs-3g</merge>
+ <merge key="volume.mount.valid_options" type="strlist">ro</merge>
+ <append key="volume.mount.valid_options" type="strlist">atime</append>
+ <append key="volume.mount.valid_options" type="strlist">noatime</append>
+ <append key="volume.mount.valid_options" type="strlist">relatime</append>
+ <append key="volume.mount.valid_options" type="strlist">fake_rw</append>
+ <append key="volume.mount.valid_options" type="strlist">no_def_opts</append>
+ <append key="volume.mount.valid_options" type="strlist">default_permissions</append>
+ <append key="volume.mount.valid_options" type="strlist">umask=</append>
+ <append key="volume.mount.valid_options" type="strlist">fmask=</append>
+ <append key="volume.mount.valid_options" type="strlist">dmask=</append>
+ <append key="volume.mount.valid_options" type="strlist">uid=</append>
+ <append key="volume.mount.valid_options" type="strlist">gid=</append>
+ <append key="volume.mount.valid_options" type="strlist">show_sys_files</append>
+ <append key="volume.mount.valid_options" type="strlist">silent</append>
+ <append key="volume.mount.valid_options" type="strlist">force</append>
+ <append key="volume.mount.valid_options" type="strlist">remove_hiberfile</append>
+ <append key="volume.mount.valid_options" type="strlist">locale=</append>
+ <append key="volume.mount.valid_options" type="strlist">streams_interface=</append>
+ <append key="volume.mount.valid_options" type="strlist">debug</append>
+ <append key="volume.mount.valid_options" type="strlist">no_detatch</append>
+ <append key="volume.mount.valid_options" type="strlist">sync</append>
+ <append key="volume.mount.valid_options" type="strlist">dirsync</append>
+ <append key="volume.mount.valid_options" type="strlist">nodiratime</append>
+ <append key="volume.mount.valid_options" type="strlist">noexec</append>
+ <append key="volume.mount.valid_options" type="strlist">quiet</append>
+ <append key="volume.mount.valid_options" type="strlist">remount</append>
+ <append key="volume.mount.valid_options" type="strlist">exec</append>
+ <append key="volume.mount.valid_options" type="strlist">recover</append>
+ <append key="volume.mount.valid_options" type="strlist">norecover</append>
+ <merge key="volume.unmount.valid_options" type="strlist">lazy</merge>
+ <merge key="volume.policy.mount_filesystem" type="string">ntfs-3g</merge>
+ </match>
+ </device>
+</deviceinfo> \ No newline at end of file
diff --git a/sys-fs/ntfs3g-ar/metadata.xml b/sys-fs/ntfs3g-ar/metadata.xml
index 6f1d493c5..9e1ef035d 100644
--- a/sys-fs/ntfs3g-ar/metadata.xml
+++ b/sys-fs/ntfs3g-ar/metadata.xml
@@ -2,4 +2,8 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>maintainer-wanted</herd>
+ <use>
+ <flag name='external-fuse'>Use external FUSE library instead of internal
+ one. Must be disabled for unprivileged mounting to work.</flag>
+ </use>
</pkgmetadata>
diff --git a/sys-fs/ntfs3g-ar/ntfs3g-ar-2010.3.6.2.ebuild b/sys-fs/ntfs3g-ar/ntfs3g-ar-2010.3.6.2.ebuild
new file mode 100644
index 000000000..28c1a6d50
--- /dev/null
+++ b/sys-fs/ntfs3g-ar/ntfs3g-ar-2010.3.6.2.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=2
+
+inherit linux-info versionator
+
+MY_PN="${PN/3g-ar/-3g}"
+MY_PV="$(get_version_component_range 1-3)AR.$(get_version_component_range 4)"
+MY_P="${MY_PN}-${MY_PV}"
+
+DESCRIPTION="NTFS-3G variant supporting ACLs, junction points, compression, and more"
+HOMEPAGE="http://pagesperso-orange.fr/b.andre/advanced-ntfs-3g.html"
+SRC_URI="http://pagesperso-orange.fr/b.andre/${MY_P}.tgz"
+
+LICENSE="GPL-2"
+
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="acl debug hal suid external-fuse"
+
+DEPEND="external-fuse? ( >=sys-fs/fuse-2.7.0 )"
+RDEPEND="${DEPEND}
+ hal? ( sys-apps/hal )
+ sys-apps/attr
+ !sys-fs/ntfs3g"
+
+S="${WORKDIR}/${MY_P}"
+
+pkg_setup() {
+ if use external-fuse && use kernel_linux; then
+ if kernel_is lt 2 6 9; then
+ die "Your kernel is too old."
+ fi
+ CONFIG_CHECK="~FUSE_FS"
+ FUSE_FS_WARNING="You need to have FUSE module built to use ntfs-3g"
+ linux-info_pkg_setup
+ fi
+}
+
+src_configure() {
+ econf \
+ --docdir="/usr/share/doc/${PF}" \
+ --enable-ldscript \
+ --disable-ldconfig \
+ --with-fuse=$(use external-fuse && echo external || echo internal) \
+ $(use_enable acl posix-acls) \
+ $(use_enable debug)
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "install failed"
+
+ prepalldocs || die "prepalldocs failed"
+ dodoc AUTHORS ChangeLog CREDITS || die "dodoc failed"
+
+ use suid && { fperms u+s "/bin/${MY_PN}" || die "set suid failed" ; }
+
+ if use hal; then
+ insinto /etc/hal/fdi/policy/
+ newins "${FILESDIR}/10-ntfs3g.fdi.2009-r1" "10-ntfs3g.fdi" || die "hal fdi install failed"
+ fi
+}
+
+pkg_postinst() {
+ ewarn "This is an advanced features release of the ntfs-3g package. It"
+ ewarn "passes standard tests on i386 and x86_64 CPUs but users should"
+ ewarn "still backup their data. More info at:"
+ ewarn "http://pagesperso-orange.fr/b.andre/advanced-ntfs-3g.html"
+
+ if use suid; then
+ ewarn
+ ewarn "You have chosen to install ${PN} with the binary setuid root. This"
+ ewarn "means that if there any undetected vulnerabilities in the binary,"
+ ewarn "then local users may be able to gain root access on your machine."
+ fi
+} \ No newline at end of file